Update cart status
curl --request PATCH \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-site-context", "<x-site-context>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}")
.header("x-site-context", "<x-site-context>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
response = http.request(request)
puts response.read_body{
"deleted": false,
"allPromosApplied": [
{
"unit": "<string>",
"value": 123,
"ON": {
"kind": "SKU",
"value": ""
},
"id": "<string>",
"promoId": "<string>",
"promoCode": "<string>"
}
],
"items": [
{
"itemId": 1000000012,
"quantity": 2,
"price": {
"currency": "USD",
"base": 15.99,
"discount": {
"price": 10.99,
"discountAmount": 10.99,
"promosApplied": [
{
"unit": "<string>",
"value": 123,
"ON": {
"kind": "SKU",
"value": ""
},
"id": "<string>",
"promoId": "<string>",
"promoCode": "<string>"
}
]
},
"sale": 10.99
},
"group": [
"5ddd1a156c5a5fed1e0d91fb"
],
"priceListId": 100002,
"isUnique": 123,
"discountedQuantity": 0,
"lineItemId": 1,
"totalPrice": {
"currency": "USD",
"amount": 200
},
"id": "5fee9d59f2f08a1b3cbdea08",
"sample": false,
"weightUnit": "kg",
"isPickup": false,
"sku": "blue",
"taxCode": "PH0607",
"title": "item title",
"weight": 7,
"attributeTotalPrice": 0,
"attributes": [
{
"price": 10,
"_id": "6146e98408e3700008b64611",
"attributeId": "60a77de306f682000975c24c",
"value": "true/false",
"name": "Gift Message",
"type": "<string>",
"id": "6146e98408e3700008b64611",
"shipTo": {
"street1": "123 Main Street",
"city": "Seattle",
"state": "WA",
"country": "United States of America",
"zipCode": "10008-1234",
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"attention": "Leave at the back door.",
"street2": "ABC Boulevard",
"kind": "TBD",
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
},
"shipTo": {
"shipMethod": {
"shipMethodId": "1a2b3c4d5e6f7g8h9i0j",
"shipmentCarrier": "Fedex",
"shipmentMethod": "Next Day",
"cost": {
"currency": "USD",
"amount": 5.99
}
}
},
"shipToId": 5269,
"cartId": "61e03ff6a865fe00094f8620",
"taxCode": "FR1000",
"shipToType": "SHIP_TO_ADDRESS"
}
}
],
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}
],
"registeredUser": false,
"cartId": 4,
"totalAmmount\"": {
"currency": "USD",
"amount": 200
},
"quantity": 2,
"__v": 0,
"attributes": [
{
"price": 10,
"_id": "6146e98408e3700008b64611",
"attributeId": "60a77de306f682000975c24c",
"value": "true/false",
"name": "Gift Message",
"type": "<string>",
"id": "6146e98408e3700008b64611"
}
],
"account": "<string>",
"approver": "<string>",
"po": "<string>",
"company": "<string>",
"status": "pending",
"extra": {},
"errors": {
"inventory": "<array>",
"price": "<array>",
"promo": "<array>"
},
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}{
"code": "CART_CANNOT_BE_UPDATED",
"message": "User cannot have more than one pending cart."
}{
"code": "CART_NOT_FOUND",
"message": "Cart not found."
}{
"code": "<string>",
"message": "<string>"
}Cart
Update cart status
Update cart status
PATCH
/
api-cart
/
cart
/
{cartId}
/
status
/
{updatedStatus}
Update cart status
curl --request PATCH \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("x-site-context", "<x-site-context>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}")
.header("x-site-context", "<x-site-context>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01-apigw.{customer_name}.fabric.zone/api-cart/cart/{cartId}/status/{updatedStatus}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
response = http.request(request)
puts response.read_body{
"deleted": false,
"allPromosApplied": [
{
"unit": "<string>",
"value": 123,
"ON": {
"kind": "SKU",
"value": ""
},
"id": "<string>",
"promoId": "<string>",
"promoCode": "<string>"
}
],
"items": [
{
"itemId": 1000000012,
"quantity": 2,
"price": {
"currency": "USD",
"base": 15.99,
"discount": {
"price": 10.99,
"discountAmount": 10.99,
"promosApplied": [
{
"unit": "<string>",
"value": 123,
"ON": {
"kind": "SKU",
"value": ""
},
"id": "<string>",
"promoId": "<string>",
"promoCode": "<string>"
}
]
},
"sale": 10.99
},
"group": [
"5ddd1a156c5a5fed1e0d91fb"
],
"priceListId": 100002,
"isUnique": 123,
"discountedQuantity": 0,
"lineItemId": 1,
"totalPrice": {
"currency": "USD",
"amount": 200
},
"id": "5fee9d59f2f08a1b3cbdea08",
"sample": false,
"weightUnit": "kg",
"isPickup": false,
"sku": "blue",
"taxCode": "PH0607",
"title": "item title",
"weight": 7,
"attributeTotalPrice": 0,
"attributes": [
{
"price": 10,
"_id": "6146e98408e3700008b64611",
"attributeId": "60a77de306f682000975c24c",
"value": "true/false",
"name": "Gift Message",
"type": "<string>",
"id": "6146e98408e3700008b64611",
"shipTo": {
"street1": "123 Main Street",
"city": "Seattle",
"state": "WA",
"country": "United States of America",
"zipCode": "10008-1234",
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"attention": "Leave at the back door.",
"street2": "ABC Boulevard",
"kind": "TBD",
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
},
"shipTo": {
"shipMethod": {
"shipMethodId": "1a2b3c4d5e6f7g8h9i0j",
"shipmentCarrier": "Fedex",
"shipmentMethod": "Next Day",
"cost": {
"currency": "USD",
"amount": 5.99
}
}
},
"shipToId": 5269,
"cartId": "61e03ff6a865fe00094f8620",
"taxCode": "FR1000",
"shipToType": "SHIP_TO_ADDRESS"
}
}
],
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}
],
"registeredUser": false,
"cartId": 4,
"totalAmmount\"": {
"currency": "USD",
"amount": 200
},
"quantity": 2,
"__v": 0,
"attributes": [
{
"price": 10,
"_id": "6146e98408e3700008b64611",
"attributeId": "60a77de306f682000975c24c",
"value": "true/false",
"name": "Gift Message",
"type": "<string>",
"id": "6146e98408e3700008b64611"
}
],
"account": "<string>",
"approver": "<string>",
"po": "<string>",
"company": "<string>",
"status": "pending",
"extra": {},
"errors": {
"inventory": "<array>",
"price": "<array>",
"promo": "<array>"
},
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}{
"code": "CART_CANNOT_BE_UPDATED",
"message": "User cannot have more than one pending cart."
}{
"code": "CART_NOT_FOUND",
"message": "Cart not found."
}{
"code": "<string>",
"message": "<string>"
}Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Response
Cart with updated status
Was this page helpful?
